[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: au8820 driver

On Thu, 9 Oct 2003, Marc Loebbers wrote:

> Hi,
> I have a au8820 soundcard and i downloaded the driver from
> http://src.braincells.com/debian/sid/au88xx/ .
> After finally getting 'modversions.h ' i was able to run 'make install-all'
> without any error messages.
> But still there's no sound..... After starting kde I am told :
> Error while initializing sound driver:
> device /dev/dsp can't be opened (No such device)

I don't use this card anymore but I think you had to insmod the opensound
driver first.  However you have a bigger problem:

> When I trie 'insmod -f au8820.o' , it tells me :
> Warning: kernel-module version mismatch
>         ./au8820.o was compiled for kernel version 2.4.18
>         while this kernel is version 2.2.20-idepci
> ./au8820.o: unresolved symbol pci_register_driver
> ./au8820.o: unresolved symbol __release_region
> ./au8820.o: unresolved symbol unregister_sound_dsp
> ./au8820.o: unresolved symbol pci_enable_device
> ./au8820.o: unresolved symbol __check_region
> ./au8820.o: unresolved symbol kernel_flag
> ./au8820.o: unresolved symbol unregister_sound_midi
> ./au8820.o: unresolved symbol register_sound_dsp
> ./au8820.o: unresolved symbol register_sound_mixer
> ./au8820.o: unresolved symbol unregister_sound_mixer
> ./au8820.o: unresolved symbol unregister_sound_special
> ./au8820.o: unresolved symbol iomem_resource
> ./au8820.o: unresolved symbol register_sound_special
> ./au8820.o: unresolved symbol pci_unregister_driver
> ./au8820.o: unresolved symbol register_sound_midi
> ./au8820.o: unresolved symbol __request_region
> ./au8820.o: unresolved symbol ioport_resource
> ./au8820.o:
> Hint: You are trying to load a module without a GPL compatible license
>       and it has unresolved symbols.  Contact the module supplier for
>       assistance, only they can help you.
> I don't understand the thing with the 2 kernel versions.....

Basically what you are trying to do is the equivalent of trying to use a
Windows XP driver on Windows 3.1.  Successive versions have different
architectures so you just can't usea driver compiled for one kernel
version on a different version as is.  What you need to do is recompile it
for your kernel version (2.2.20-idepci)  I am ccing this message to the
Debian users mailing list (debian-user@lists.debian.org) where someone
might be able guide you through the process step-by-step.

Jaldhar H. Vyas <jaldhar@debian.org>
La Salle Debain - http://www.braincells.com/debian/

Reply to: